| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
IntelProfilerAuditor::stack_entity Struct Reference
Collaboration diagram for IntelProfilerAuditor::stack_entity:
[legend]

## Public Member Functions
| stack_entity (const std::string &name_, bool status_, const __itt_event event_=0, const __itt_event parent_event_=0)

## Public Attributes
std::string | name
bool | status
__itt_event | event
__itt_event | parent_event

## Detailed Description

Definition at line 47 of file IntelProfilerAuditor.cpp.

## Constructor & Destructor Documentation

IntelProfilerAuditor::stack_entity::stack_entity | ( | const std::string & | name_,
|  | bool | status_,
|  | const __itt_event | event_ = `0`,
|  | const __itt_event | parent_event_ = `0`
| ) |  |
| inline

Definition at line 48 of file IntelProfilerAuditor.cpp.

50 : name( name_ ), status( status_ ), event( event_ ), parent_event( parent_event_ )
51 {
52 }
IntelProfilerAuditor::stack_entity::name
std::string name
Definition: IntelProfilerAuditor.cpp:54
IntelProfilerAuditor::stack_entity::parent_event
__itt_event parent_event
Definition: IntelProfilerAuditor.cpp:60
IntelProfilerAuditor::stack_entity::event
__itt_event event
Definition: IntelProfilerAuditor.cpp:58
IntelProfilerAuditor::stack_entity::status
bool status
Definition: IntelProfilerAuditor.cpp:56

## Member Data Documentation

__itt_event IntelProfilerAuditor::stack_entity::event

Definition at line 58 of file IntelProfilerAuditor.cpp.

std::string IntelProfilerAuditor::stack_entity::name

Definition at line 54 of file IntelProfilerAuditor.cpp.

__itt_event IntelProfilerAuditor::stack_entity::parent_event

Definition at line 60 of file IntelProfilerAuditor.cpp.

bool IntelProfilerAuditor::stack_entity::status

Definition at line 56 of file IntelProfilerAuditor.cpp.

The documentation for this struct was generated from the following file:

- GaudiProfiling/src/component/intel/IntelProfilerAuditor.cpp